[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TComponentList.IndexOf

Search for an instance in the list

## Declaration

Source position: contnrs.pp line 107

`public function TComponentList.IndexOf(`
`AComponent: TComponent`
`):Integer;`

## Arguments

`AComponent` |  | Instance to look for.

## Function result

Index of the found instance

## Description

IndexOf searches for an instance in the list and returns it's position in the list. The position is zero-based. If no instance is found, -1 is returned.

IndexOf just overrides the implementation of the parent class so it accepts only TComponent instances. It introduces no new behaviour.

## Errors

None.

## See also

TObjectList.IndexOf |  | Search for an object in the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net.